JOIN(1)

NAMN
join — slå samman rader från två filer enligt ett gemensamt fält

SYNOPSIS
join [FLAGGA]... FIL1 FIL2

BESKRIVNING

För varje par av inmatade rader med identiska join-fält, skriv en rad till standard ut. Standard för join-fält är det första, avgränsat av blanka.

När FIL1 eller FIL2 (inte båda) är -, läs standard in.

-a FILNUM
    Skriv även omatchade rader från fil FILNUM, där FILNUM är 1 eller 2, motsvarande FIL1 eller FIL2.

-e STRÄNG
    ersätt saknade (tomma) indatafält med STRÄNG; d.v.s., saknade fält angivna med flaggor som ”-12jo”

-i, --ignore-case
    Ignorera skiftläge när fält jämförs.

-j FÄLT
    Samma som ”-1 FÄLT -2 FÄLT”.

-o FORMAT
    Följ FORMAT när utskriftsrader konstrueras.

-t TECKEN
    Använd TECKEN som fältseparator för in- och utmatning.

-v FILNUM
    Som -a FILNUM, men undertrycker förenade utmatade rader.

-1 FÄLT
    Förena med detta FÄLT i fil 1.

-2 FÄLT
    Förena med detta FÄLT i fil 2.

--check-order
    Kontrollera att indata är korrekt sorterad, även om alla indatarader går att para ihop.

--nocheck-order
    Kontrollera inte att indata är korrekt sorterad.

--header
    Hantera första raden i varje fil som filhuvuden, skriv dem utan att försöka att para ihop dem.

-z, --zero-terminated
    Radavgränsare är NOLL, inte nyrad.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Om inte -t TECKEN är givet separeras fält av inledande mellanslag som ignoreras, annars separeras fält av TECKEN. Varje FÄLT är ett fältnummer räknat från 1. FORMAT är en eller flera specifikationer åtskilda med komma eller mellanslag, var och en är ”FILNUM.FÄLT” eller ”0”. Normalvärdet för FORMAT skriver ut de förenade fälten, de kvarvarande fälten från FIL1, de kvarvarande fälten från FIL2, allt separerat med TECKEN. Om FORMAT är nyckelordet ”auto” avgör första raden av varje fil antalet fält som skrivs ut för varje rad.

Viktigt: FIL1 och FIL2 måste vara sorterade på föreningsfälten. T.ex., använd ”sort -k 1b,1” om ”join” inte har några flaggor, eller använd ”join -t ”” om ”sort” inte har några flaggor. Observera, jämförelser tar hänsyn till reglerna som anges av ”LC_COLLATE”. Om indata inte är sorterad och några rader inte kan förenas, ges ett varningsmeddelande.

UPPHOVSMAN
Skrivet av Mike Haertel.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
comm(1), uniq(1)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/join>
eller tillgängligt lokalt via: info '(coreutils) join invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.